/*______________________________________________________________________

	misc.h - Miscellany Module Interface.
	
	Copyright  1988, 1989, 1990 Northwestern University.  Permission is 
	granted to use this code in your own projects, provided you give credit 
	to both John Norstad and Northwestern University in your about box or 
	document.
_____________________________________________________________________*/

#ifndef __misc__
#define __misc__

#ifndef __rpp__
#include "rpp.h"
#endif

#ifndef __glob__
#include "glob.h"
#endif

#ifndef __scn__
#include "scn.h"
#endif

extern void misc_HiliteScan(void);
extern void misc_ClearReport (void);
extern void misc_CheckEject (short refNum);
extern void misc_SetCursor (void);
extern void misc_ValPrint (rpp_PrtBlock *p, Boolean report);
extern void misc_ReadPref (void);
extern void misc_WritePref (void);
extern WindKind misc_GetWindKind (WindowPtr theWindow);
extern void misc_Notify (short msg, Boolean wait);
extern void misc_Update (void);
extern void misc_InstallINIT (void);
extern void misc_ExtractINIT (void);
extern void misc_PrintError (OSErr rCode);
extern void misc_Periodic (void);
extern void misc_DisableBB (void);
extern void misc_EnableBB (void);
extern Boolean misc_ListDirectory (CInfoPBRec *pBlock,
   scn_FListElHandle folderList, long refCon, Boolean mfs);

#endif