/*______________________________________________________________________

	vmsg.h - Virus Message Module Interface.
	
	Copyright  1988, 1989, 1990 Northwestern University.  Permission is 
	granted to use this code in your own projects, provided you give credit 
	to both John Norstad and Northwestern University in your about box or 
	document.
_____________________________________________________________________*/


#ifndef __vmsg__
#define __vmsg__

#ifndef __scn__
#include "scn.h"
#endif

extern short vmsg_LookupTag (short repLine);
extern void vmsg_ClearTags (void);
extern void vmsg_M0 (short strInd);
extern void vmsg_M1 (short strInd, Str255 p0);
extern void vmsg_M2 (short strInd, Str255 p0, Str255 p1);
extern void vmsg_M2_Tag (short strInd, Str255 p0, Str255 p1, short tag);
extern void vmsg_Continue (short strInd, short msgNum);
extern void vmsg_Blank (void);
extern void vmsg_MInf (Str255 vName, short tag);
extern void vmsg_Unexpected (OSErr rCode);
extern void vmsg_PrintFileName (scn_FListElHandle folderList, 
	CInfoPBRec *pBlock, short tag);
extern void vmsg_CheckAccess (char accessRights, 
	scn_FListElHandle folderList, CInfoPBRec *pBlock);
extern void vmsg_Begin (Boolean disinfect, long dirID, Str255 fName, 
	short fVRefNum, short volRefNum, short counterTop, short counterRight);
extern void vmsg_End (Boolean disinfect, 
	Boolean canceled, Boolean *infected, Boolean *sysInfected);
extern void vmsg_BumpCounter (short counter);
extern void vmsg_ClearCounters (short counterTop, short counterRight);


#endif